GNU bug report logs - #42570
tex-mode compiles / builds only in /tmp

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: RDS <rds1944@HIDDEN>; Keywords: moreinfo notabug; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 42570 <at> debbugs.gnu.org and RDS <rds1944@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42570 <at> debbugs.gnu.org:


Received: (at 42570) by debbugs.gnu.org; 7 Aug 2020 07:08:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 07 03:08:27 2020
Received: from localhost ([127.0.0.1]:55574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3wUN-0003rb-Kf
	for submit <at> debbugs.gnu.org; Fri, 07 Aug 2020 03:08:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1k3wUL-0003rJ-P5; Fri, 07 Aug 2020 03:08:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=xhfva3WF4SLVEbPALns75jc/tFQXlYXPIphICenaIeQ=; b=YdlIlqc9rlQaGYBnt2ndNkNj4s
 b4tJbM2FAVVx75Tvr/Vuf0uzwo6jJqtbHLyk3XpwcHj3BziUoAlUyBp3FqEzLkdi/GZDyQo1cM50q
 PyVIe8Eu2NjUccck69W8iizgLNm8nisSy1t+foQtaX5bmKPiih5ssCYEpOWcPE/Fn48c=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3wUD-0003zf-FR; Fri, 07 Aug 2020 09:08:20 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: RDS <rds1944@HIDDEN>
Subject: Re: bug#42570: emacs - tex-mode.el - build failure - not a bug
References: <CABj_U1Pe5x-Cg+0f+XawpfniKdDsitbegtyNucf5G3yGuzh=4Q@HIDDEN>
 <CABj_U1M0M_WHMCyNPuMs_g2a0FOrJuqY=e96PuCfpoVvJGYMOQ@HIDDEN>
Date: Fri, 07 Aug 2020 09:08:16 +0200
In-Reply-To: <CABj_U1M0M_WHMCyNPuMs_g2a0FOrJuqY=e96PuCfpoVvJGYMOQ@HIDDEN>
 (RDS's message of "Thu, 6 Aug 2020 17:33:11 -0700")
Message-ID: <871rkj7x27.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  RDS <rds1944@HIDDEN> writes: > A test using a Fedora 32
 Live image + emacs + texlive-collection-latex > could not replicate the build
 failure described on this reporter's > machine. The latter has some problem
 with configuration [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42570
Cc: 42624 <at> debbugs.gnu.org, 42570 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

RDS <rds1944@HIDDEN> writes:

> A test using a Fedora 32 Live image + emacs + texlive-collection-latex
> could not replicate the build failure described on this reporter's
> machine. The latter has some problem with configuration or missing
> packages. As such, these postings should be removed; it is not a bug.

OK; closing the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42570; Package emacs. Full text available.

Message received at 42570 <at> debbugs.gnu.org:


Received: (at 42570) by debbugs.gnu.org; 7 Aug 2020 00:34:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 20:34:28 2020
Received: from localhost ([127.0.0.1]:55154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3qL5-0000D7-Rc
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 20:34:28 -0400
Received: from mail-vs1-f41.google.com ([209.85.217.41]:36529)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rds1944@HIDDEN>)
 id 1k3qL1-0000Ch-1j; Thu, 06 Aug 2020 20:34:25 -0400
Received: by mail-vs1-f41.google.com with SMTP id i129so136198vsi.3;
 Thu, 06 Aug 2020 17:34:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=rdVaPGX9ZsCbKU52vA59egEkF9vTKpZY4ACugud0WUQ=;
 b=WmT8ZeLQejMSIUIfn7sc/mTDA8xBBq+OOstkdFC2B/pp3C/0aNByr07RVuR86+I5jg
 qwpUkR9QTijSnS9EV59X98HxnvMWbVWvDqPt73/YSPy7v+Y9qZ8mHSWueOKmY+Q8aFSt
 Rv5CrAP47QwL3gveMq8UyINPutQnpHNjz8FMksiKebhRiQg5OEU+EOaCqyxN0xotUOBu
 kyMwKwajwf8c5V7FBYzkJiphOnwGv34GOLcWPlAjwY0bqu+fkwxhAwFvhD6LhzGvmMye
 rFn1sEFgQgizkRil899CVZiWo8gxKGfoxLkKZJBKaYZw/f1R7sXXHs0JdTP9CSIfOE6i
 MvOQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=rdVaPGX9ZsCbKU52vA59egEkF9vTKpZY4ACugud0WUQ=;
 b=iv1mej3+W5yc2kn+G0BK8rSeJKWKHYKxs1A7eoI7nEFgUjVtX4hdVcJ3fYUzTZEdKT
 ABklpeHdUhQFLElgimnqmBbugP5lHj+KWtyDzRwIQ3VkzkTPmveQQ9xLXlUDN5YI0RbZ
 KDh2biIxJGdWYETO1mXXgHtx4luVwMWhBQXCP792Kni5Cd5mWXsktD9KNubuF/qIU6wQ
 4WFd9HrCHU2UzflXH0wuEqaEdNqPVA++sfCRknghkmX+WOZoA2ogg/l0xj+RircSzDfG
 M5pIOtATo5NW4RKXzye64QGwptoDzfQ5jfKWoPSEHbkpq3L3oPIxOcNfRh3ToaGAOxO2
 kP+w==
X-Gm-Message-State: AOAM530uO+ByAcIBaQyibyBkVsLd12u2d1edBRL1jhaKq17tGL1h3KHu
 zAg2pcd/c+V9eARHZLOWs3yg7B2KGZoyvHPyiT423L0i
X-Google-Smtp-Source: ABdhPJzBM2kITfD2iO2gI5mC5kn71xBwyd97qIPMQ3f9CDqmU7LoOVtFG6voIBIaG6VSZQKh/kz22903xnQ/p8T6QIk=
X-Received: by 2002:a05:6102:30ba:: with SMTP id
 y26mr8201940vsd.122.1596760457033; 
 Thu, 06 Aug 2020 17:34:17 -0700 (PDT)
MIME-Version: 1.0
From: RDS <rds1944@HIDDEN>
Date: Thu, 6 Aug 2020 17:33:11 -0700
Message-ID: <CABj_U1M0M_WHMCyNPuMs_g2a0FOrJuqY=e96PuCfpoVvJGYMOQ@HIDDEN>
Subject: emacs - tex-mode.el - build failure - not a bug
To: 42624 <at> debbugs.gnu.org, 42570 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000d53ac205ac3ec351"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 42570
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000d53ac205ac3ec351
Content-Type: text/plain; charset="UTF-8"

A test using a Fedora 32 Live image + emacs + texlive-collection-latex
could not replicate the build failure described on this reporter's machine.
The latter has some problem with configuration or missing packages. As
such, these postings should be removed; it is not a bug.

--000000000000d53ac205ac3ec351
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-size:large">A t=
est using a Fedora 32 Live image=C2=A0+ emacs=C2=A0+ texlive-collection-lat=
ex could not replicate the build failure described on this reporter&#39;s m=
achine. The latter has some problem with configuration or missing packages.=
 As such, these postings should be removed; it is not a bug.</div></div>

--000000000000d53ac205ac3ec351--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42570; Package emacs. Full text available.

Message received at 42570 <at> debbugs.gnu.org:


Received: (at 42570) by debbugs.gnu.org; 6 Aug 2020 07:26:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 03:26:12 2020
Received: from localhost ([127.0.0.1]:53001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3aHz-0003Na-S2
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 03:26:12 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k3aHy-0003NN-Av
 for 42570 <at> debbugs.gnu.org; Thu, 06 Aug 2020 03:26:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=RoQN4kolV+sNSCa+NEUyTBdzFMEuJjlviU4awnD7Kh4=; b=HJ718/qdnLmoNcTpotxIUA1Dsq
 Ba4F6dV0iHEJtlt20HK1dsy5nuFFz5bauZCzN+2elcB2p7WOoZi+h/BDI805/ioQ01LaOpgeOD/gi
 o9RyeLiGvRrnMWBCcnsHDzJF/t5bce6wLeCs4Kv/02IVxe4BcmUOcvNzcikK7g66/ZxM=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3aHp-0006yY-Rs; Thu, 06 Aug 2020 09:26:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: RDS <rds1944@HIDDEN>
Subject: Re: bug#42570: Lars suggested tests
References: <CABj_U1Pe5x-Cg+0f+XawpfniKdDsitbegtyNucf5G3yGuzh=4Q@HIDDEN>
 <CABj_U1MUGJjJ-eUWJgoWTid8VPNoiwU1_dX5o04_2kqGAhUhFw@HIDDEN>
Date: Thu, 06 Aug 2020 09:26:00 +0200
In-Reply-To: <CABj_U1MUGJjJ-eUWJgoWTid8VPNoiwU1_dX5o04_2kqGAhUhFw@HIDDEN>
 (RDS's message of "Wed, 5 Aug 2020 19:06:23 -0700")
Message-ID: <87pn84fd6f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: RDS <rds1944@HIDDEN> writes: > Is this possibly a
 configuration
 issue? Could there be hidden > environmental variables that need to be set
 either in my bash shell or > something I am missing in the init.el? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42570
Cc: 42570 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

RDS <rds1944@HIDDEN> writes:

> Is this possibly a configuration issue? Could there be hidden
> environmental variables that need to be set either in my bash shell or
> something I am missing in the init.el?

I don't know -- I've tried your recipe for the bug on two different
(Debian and Ubuntu) machines, and I'm unable to reproduce it with "emacs
-Q" on Emacs 26.3.

So I think it sounds like a configuration issue on your side somewhere,
but I haven't used tex otherwise in quite a few years.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42570; Package emacs. Full text available.

Message received at 42570 <at> debbugs.gnu.org:


Received: (at 42570) by debbugs.gnu.org; 6 Aug 2020 02:07:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 22:07:07 2020
Received: from localhost ([127.0.0.1]:52510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3VJD-0001PA-2e
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 22:07:07 -0400
Received: from mail-ua1-f51.google.com ([209.85.222.51]:33217)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rds1944@HIDDEN>) id 1k3VJB-0001Oh-7p
 for 42570 <at> debbugs.gnu.org; Wed, 05 Aug 2020 22:07:05 -0400
Received: by mail-ua1-f51.google.com with SMTP id q68so11326138uaq.0
 for <42570 <at> debbugs.gnu.org>; Wed, 05 Aug 2020 19:07:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=JWlTu97440Vgt2edp37ZAEupPD8clfidkFbs8BMcpz0=;
 b=hWqJ32Akvc662TQSpf6GDgGGttruwvLs4eE5R4n8k04u6E+akMKabtd+mWpwrII9Vi
 r/B+xhUurnmCsTVHKH3qW5x0Mt5G2ZQis8Lsly+9vR59fNE99l71K6EAjFvrRZz9Ixzd
 ZimtEB11S6XKd418rWx1GIachs8Y5NGGRFabogDmgBHo2trmPRVLN1IW37Kz/4BidUqy
 aJnNdcjmrv+lavEEr9iIjuaX8UiK8RCZ0xF3RE2y7WZZ/XTt4zimzCq1vSDL+Aub1QGC
 RJWBvcc70MIe44dQG7iuAV0x6pYLlVSen8E0Vbd2Rq3Y6mONXkRZwlagf/JkrbL7mHfy
 E1sA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=JWlTu97440Vgt2edp37ZAEupPD8clfidkFbs8BMcpz0=;
 b=ngG/7RgLWNj7JEX/E3adtun37GTaepjM15hmduFStMhOFee8STg467endafaMGGAPW
 pTd6N+cvkEKpoF8onV5pY2B1FzYMPrmRw6Mze/y/ZZNmZf58wpyK1hGaPViUSbVJ3wyS
 C8MjFYFIHCsOkczy7dUVwK6IAv/aK4DXrQa9aAg5LjTqf5h3FAIMj/fWpZ/2SNk4vw2u
 kTL4ygmlliEPiBB3UFVtNkPnxazy4YuVlfGe9TQmjTyrKYllYeVdjKUubNGNJL6aW3Xt
 Ii0EZBMgf2EpNy+0Yfw9eC9yZHAuQqcFFhilCYyON0SjPMzZNqjVo927Sjz43Hba8r4o
 p3Bw==
X-Gm-Message-State: AOAM5324wRpWIBRl8taPNUwN1YXfZYQI4WGznV8Un7Aft1G3j1Jsac8e
 HJGHaeRUAzb8ndlYh6LJgtDZT8dGCaRc57hT3BzH64YI9Q8=
X-Google-Smtp-Source: ABdhPJx5FMl6ZJgJyvqcsjHb97UG3g4KEhl7QkyOX4ZN0Vr5Q/Gxcr52ESozK7ckOEXV20UDdjJx4eA129my8f/kwg4=
X-Received: by 2002:ab0:1052:: with SMTP id g18mr4626379uab.62.1596679619043; 
 Wed, 05 Aug 2020 19:06:59 -0700 (PDT)
MIME-Version: 1.0
From: RDS <rds1944@HIDDEN>
Date: Wed, 5 Aug 2020 19:06:23 -0700
Message-ID: <CABj_U1MUGJjJ-eUWJgoWTid8VPNoiwU1_dX5o04_2kqGAhUhFw@HIDDEN>
Subject: Re: Lars suggested tests
To: 42570 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="0000000000008366bb05ac2bf1c3"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 42570
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--0000000000008366bb05ac2bf1c3
Content-Type: text/plain; charset="UTF-8"

I have tried the tests you suggest on refcard.tex (plus a few others in
that dir) with & without -Q cl switch; nearly all failed to produce a dvi.
Immediately tex fails since it can *not* find the source file as I
described previously. (Also review additional material in bug 42624.) The
results are identical on both a Slackware-current partition installation &
on a Fedora 32 partition installation.

The Texlive installations are current & direct compilation on any tex /
latex source files functions flawlessly. I also have a tiny piece of lisp
code that directly invokes, via start-process, the tex / latex compiler;
it, too, never has a problem.

Reiterating, the tex-shell created by tex-mode.el does *not* see a path to
the source unless modifications I suggest are made as in bug 42624.

Is this possibly a configuration issue? Could there be hidden environmental
variables that need to be set either in my bash shell or something I am
missing in the init.el? Official emacs documentation about tex-mode says
little about this matter. As an aside, inside tex-mode.el, there is a
getenv ESHELL command. Does ESHELL need some special attention?

--0000000000008366bb05ac2bf1c3
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-size:large">I h=
ave tried the tests you suggest on refcard.tex (plus a few others in that d=
ir) with &amp; without -Q cl switch; nearly all failed to produce a dvi. Im=
mediately tex fails since it can *not* find the source file as I described =
previously. (Also review additional material in bug 42624.) The results are=
 identical on both a Slackware-current partition installation &amp; on a Fe=
dora 32 partition installation.<br><br>The Texlive installations are curren=
t &amp; direct compilation on any tex / latex source files functions flawle=
ssly. I also have a tiny piece of lisp code that directly invokes, via star=
t-process, the tex / latex compiler; it, too, never has a problem.<br><br>R=
eiterating, the tex-shell created by tex-mode.el does *not* see a path to t=
he source unless modifications I suggest are made as in bug 42624.<br><br>I=
s this possibly a configuration issue? Could there be hidden environmental =
variables that need to be set either in my bash shell or something I am mis=
sing in the init.el? Official emacs documentation about tex-mode says littl=
e about this matter. As an aside, inside tex-mode.el, there is a getenv ESH=
ELL command. Does ESHELL need some special attention?<br></div><div class=
=3D"gmail_default" style=3D"font-size:large"><br></div></div>

--0000000000008366bb05ac2bf1c3--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42570; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42570 <at> debbugs.gnu.org:


Received: (at 42570) by debbugs.gnu.org; 4 Aug 2020 10:26:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 06:26:04 2020
Received: from localhost ([127.0.0.1]:46921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2u8y-0001c9-4G
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 06:26:04 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2u8u-0001ba-Qb
 for 42570 <at> debbugs.gnu.org; Tue, 04 Aug 2020 06:26:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=vSJBFeZJYlX8kLCzKlgg8yntpbzaE2U0zABltrcPh3A=; b=f2dYpWQvkAYumRG0YTXl3MlQzb
 Bry86Gs0oMnOD2xSRWyLCShc/KWW8UiqroBYoezKhm0bj7FpV3TNQYgS6mS8O3yUBJTorZ5dJ3OZe
 ssAHe9JtMQ+CCSg3q+mrVurVFeiHLAr6+lHvbHCauwqVmAjDxjSkrhty+KpEEe9fh2HM=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2u8e-0006gP-9b; Tue, 04 Aug 2020 12:25:54 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: RDS <rds1944@HIDDEN>
Subject: Re: bug#42570: tex-mode compiles / builds only in /tmp - more info
References: <CABj_U1Pe5x-Cg+0f+XawpfniKdDsitbegtyNucf5G3yGuzh=4Q@HIDDEN>
 <CABj_U1PJsRLmCMXm2WMPLpMRn6i8FEgF0Xt-UA9pO5Yx6B8K=Q@HIDDEN>
Date: Tue, 04 Aug 2020 12:25:42 +0200
In-Reply-To: <CABj_U1PJsRLmCMXm2WMPLpMRn6i8FEgF0Xt-UA9pO5Yx6B8K=Q@HIDDEN>
 (RDS's message of "Tue, 28 Jul 2020 16:19:10 -0700")
Message-ID: <87o8nqpv15.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: RDS <rds1944@HIDDEN> writes: > Invoking > emacs
 /path/to/file.tex
 > followed by C-c C-f does work. > > But doing > emacs /path/to > then opening
 file.tex from dired followed by C-c C-f does not work. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42570
Cc: 42570 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

RDS <rds1944@HIDDEN> writes:

> Invoking
>     emacs  /path/to/file.tex
> followed by C-c C-f does work.
>
> But doing
>     emacs  /path/to
> then opening file.tex from dired followed by C-c C-f does not work.

I'm unable to reproduce this in Emacs 26.3.

Here's my test case:

emacs -nw ~/src/emacs/trunk/etc/refcards/refcard.tex
`C-c C-f' -> a dvi file is made

emacs -nw ~/src/emacs/trunk/etc/refcards/
open refcard.tex
`C-c C-f' -> a dvi file is made

Are you able to reproduce this if you start emacs with -Q?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42570; Package emacs. Full text available.

Message received at 42570 <at> debbugs.gnu.org:


Received: (at 42570) by debbugs.gnu.org; 28 Jul 2020 23:19:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 19:19:54 2020
Received: from localhost ([127.0.0.1]:59437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0Yt0-0006iJ-IR
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2020 19:19:54 -0400
Received: from mail-vk1-f172.google.com ([209.85.221.172]:33645)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rds1944@HIDDEN>) id 1k0Ysy-0006i5-76
 for 42570 <at> debbugs.gnu.org; Tue, 28 Jul 2020 19:19:53 -0400
Received: by mail-vk1-f172.google.com with SMTP id x142so1839325vke.0
 for <42570 <at> debbugs.gnu.org>; Tue, 28 Jul 2020 16:19:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=49GdinQu/lxOGmMHfICkuNpN/BK/wPgM2S7Q+Wm8WQQ=;
 b=Q+Hv7Cv1afGdcKScRwnTagVltHelTk9YEAcROohdy/sL4mAiof38D41S2HCveVYCMc
 Q3oREln8BNWT5FwhlQdEPOWIUfkOs8ZFZRm2dxKsExV4OxH4PWeGcR+Z6AY7RNHnf1bA
 C8qocvZfGQSeki4ONg4Vr8KOGFxzoeRj6lO8tWxN+itxxsGvR10g6xbFcGZRWEO6f69n
 h4BqVU6D6ursi3gSnzCcbIsCNYf2RW5KB6ylhHP8Ygx3ENL26ebggfbdaxL+SeYggndp
 v51ZPk4cIg+vKL524SiDgftA9s6GCY9aB9Aio4xelzLjtpJr75cplC5Iiet/fkJY+AQG
 WSlQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=49GdinQu/lxOGmMHfICkuNpN/BK/wPgM2S7Q+Wm8WQQ=;
 b=smX1DDPNG7U9dx3yeAoS3Rzyd6BD5cT9itIig+AyHHcAPzEfxu2FjvzLm7XsYYOs1w
 lc0+bhCR7sGUuBEGlf/rjmvNmCUrdOPqwjZ59s/ojTDEtJ4Gfcxw1J6g1UjAjyo9aDUW
 hYDiuB6beqZzJgqbnGYec9Q7bTMxRKXjlddKeqSL++91+1vCD7oQ9m4w9jMMm6GcV2NE
 daS2ywr1ngAnee1NkBN2GhJXGLvceKO+j/cFC/N4W41jtUaZm0x0pIDcVvUI96gycbFY
 WJcT0nz0ZxAha8qomsdMpVK7OT4OblDmWxkPVh+TSi03mo/U/FakwekCh3fVbTXnN/6r
 Iy5Q==
X-Gm-Message-State: AOAM533VUlmaKMYndpjz1KycKG4y77AIMRMfJ5xYgh350uhsOoKu0TFd
 N7EQwby5QkjoBebLj6heSUhLDSufHrVuxTrPhUuVryhrvzw=
X-Google-Smtp-Source: ABdhPJxuyPeSRPmo+uupaVTHgZfaKlKuA4278BJlooPo/kCP+5iNLeXm7MiERdib32HXoqkpMJQRNuz1bKAU+IcnWUE=
X-Received: by 2002:a05:6122:789:: with SMTP id
 k9mr9860907vkr.19.1595978386271; 
 Tue, 28 Jul 2020 16:19:46 -0700 (PDT)
MIME-Version: 1.0
From: RDS <rds1944@HIDDEN>
Date: Tue, 28 Jul 2020 16:19:10 -0700
Message-ID: <CABj_U1PJsRLmCMXm2WMPLpMRn6i8FEgF0Xt-UA9pO5Yx6B8K=Q@HIDDEN>
Subject: Re: tex-mode compiles / builds only in /tmp - more info
To: 42570 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000c871ae05ab88ac62"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 42570
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000c871ae05ab88ac62
Content-Type: text/plain; charset="UTF-8"

Invoking
    emacs  /path/to/file.tex
followed by C-c C-f does work.

But doing
    emacs  /path/to
then opening file.tex from dired followed by C-c C-f does not work.

Apparently tex-mode.el is *not *sending the correct full path to pdftex; it
does *not* find the input file under many circumstances.

Guido

--000000000000c871ae05ab88ac62
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-size:large">Inv=
oking<br>=C2=A0 =C2=A0 emacs=C2=A0 /path/to/file.tex<br>followed by C-c C-f=
 does work.<br><br>But doing<br>=C2=A0 =C2=A0 emacs=C2=A0 /path/to<br>then =
opening file.tex from dired followed by C-c C-f does not work.<br><br>Appar=
ently tex-mode.el is <b>not </b>sending the correct full path to pdftex; it=
 does <b>not</b> find the input file under many circumstances.<br><br>Guido=
<br><br></div></div>

--000000000000c871ae05ab88ac62--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42570; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jul 2020 03:28:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 27 23:28:22 2020
Received: from localhost ([127.0.0.1]:56841 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0GHu-0004G7-6I
	for submit <at> debbugs.gnu.org; Mon, 27 Jul 2020 23:28:22 -0400
Received: from lists.gnu.org ([209.51.188.17]:54632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rds1944@HIDDEN>) id 1k0F9J-0002Lg-UA
 for submit <at> debbugs.gnu.org; Mon, 27 Jul 2020 22:15:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35026)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rds1944@HIDDEN>) id 1k0F9J-0002wN-NQ
 for bug-gnu-emacs@HIDDEN; Mon, 27 Jul 2020 22:15:25 -0400
Received: from mail-vs1-xe2f.google.com ([2607:f8b0:4864:20::e2f]:46224)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <rds1944@HIDDEN>) id 1k0F9I-0000pU-6g
 for bug-gnu-emacs@HIDDEN; Mon, 27 Jul 2020 22:15:25 -0400
Received: by mail-vs1-xe2f.google.com with SMTP id b26so4825213vsa.13
 for <bug-gnu-emacs@HIDDEN>; Mon, 27 Jul 2020 19:15:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=kg+m7c111+ouxfPeU86o/hJ2OU5d6K35pzM1uzMhfVY=;
 b=qnxFtV4eDhCo/uuafNeErWedR1PJg2llmkKCDgVuPM4M3wWb4h6SI0W5uwJ6Hm5/Ku
 GcUhmpMdNWno58SE0Bi4zjoDp7dh7Nw+QSyB4FJ0woVpl9aome8PZuJgC86uAFHX9HSq
 NMxWUDy6pEYnGWPR6ALBIlqeY3Bpy9kdSp7iV+gjZx8Src/QdPDgj7NNPyUhOWvwOdlW
 J0ra6SG6LDSRL4VxGyqmRRhD4PV6Ylh9Vw4fqWAsSuI8KkGZNcD9QCI4kIvcDZxdmjg6
 VuN5R5CjKhG0R7L9PMH8zQkl8y3QwFRzobLhzjPQykPFC1V6uhQPx+rrDd5h09qHO74k
 bqUg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=kg+m7c111+ouxfPeU86o/hJ2OU5d6K35pzM1uzMhfVY=;
 b=lCRMgaN0ju75R/KRg7UjuBmdIrszGmYnJqhW2dZcpqZTfRDtWTSAfCqT6stf0U4CHa
 9JUgqfK4hDze5eSKl5qyEqZcWv6vHRJWy1ZmfZKmGf8rE2exhK/L0UROWiwXj5h5nfa8
 tt07HLDtcFpvxNkTIMXtisRCizOv2P0CBebFMhbSsiDmGCmrmM5UQIXJ1ct/we3OA/uJ
 weFoz9jHprzldQgOEPa1PtxPFNwEIFywZ6Dx71oUqtxxLt7bJeUR3Zx7gURFoSY9b2KG
 gbOhVHF4Unj87XT5VsZdArNkHEGnlFOjNdiEyhOiOK5jdbczQ1tk6EjnHUv6mrykuHK4
 IcqA==
X-Gm-Message-State: AOAM533N2k7yoKj85MtOqUtFIZ9J4sgekhJXoA1HsDvanMcCX4ov7bKR
 ovdXM64RZP96iVJPM1ZjhbJcw9kykA5BCtE7AnkHb9EssZQ=
X-Google-Smtp-Source: ABdhPJwIjcyVwb38TEcUrdP2eIZZfN6tplDaqyISWcc3GzJdTPr1UTNEVVAEbi9f88zCCdapvNmIICDSGSD1CH6I3kY=
X-Received: by 2002:a67:2285:: with SMTP id
 i127mr17359303vsi.159.1595902522596; 
 Mon, 27 Jul 2020 19:15:22 -0700 (PDT)
MIME-Version: 1.0
From: RDS <rds1944@HIDDEN>
Date: Mon, 27 Jul 2020 19:14:47 -0700
Message-ID: <CABj_U1Pe5x-Cg+0f+XawpfniKdDsitbegtyNucf5G3yGuzh=4Q@HIDDEN>
Subject: tex-mode compiles / builds only in /tmp
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000f49f7a05ab770231"
Received-SPF: pass client-ip=2607:f8b0:4864:20::e2f;
 envelope-from=rds1944@HIDDEN; helo=mail-vs1-xe2f.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 27 Jul 2020 23:28:20 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--000000000000f49f7a05ab770231
Content-Type: text/plain; charset="UTF-8"

emacs 26.3. 2 different builds. 2 distinct OSs.

One build is custom inside Slackware; another build is standard issue from
Fedora 32.

Results below are identical for both situations.

If the tex / latex source (or a symbolic link) resides in /tmp directory,
everything from the tex mode menu functions as expected.

If the source is anywhere else in the directory structure, the first step,
compilation (tex / latex), fails because it can *not* find the source file.
Yet, if I use my own custom elisp script or invoke the relevant commands
manually, there is *no* problem.

The builtin tex-mode.el script seems to expect all code to be only in /tmp
or nothing will occur.

Am I missing something? A variable setting? Some other configuration aspect?

Thanks for your attention.

Guido

--000000000000f49f7a05ab770231
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-size:large">ema=
cs 26.3. 2 different builds. 2 distinct OSs.<br><br>One build is custom ins=
ide Slackware; another build is standard issue from Fedora 32.<br><br>Resul=
ts below are identical for both situations.<br><br>If the tex / latex sourc=
e (or a symbolic link) resides in /tmp directory, everything from the tex m=
ode menu functions as expected.<br><br>If the source is anywhere else in th=
e directory structure, the first step, compilation (tex / latex), fails bec=
ause it can *not* find the source file. Yet, if I use my own custom elisp s=
cript or invoke the relevant commands manually, there is *no* problem.<br><=
br>The builtin tex-mode.el script seems to expect all code to be only in /t=
mp or nothing will occur.<br><br>Am I missing something? A variable setting=
? Some other configuration aspect?<br><br>Thanks for your attention.<br><br=
>Guido<br></div><div class=3D"gmail_default" style=3D"font-size:large"><br>=
</div></div>

--000000000000f49f7a05ab770231--




Acknowledgement sent to RDS <rds1944@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42570; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 7 Aug 2020 07:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.